Subject: DLSw Multicast Spec

From: David Bryant/HQ/3Com <[email-masked]>
Date: 2 Oct 96 16:34:33 EDT

Guys - 

Before I write anything down, let me see if I can gain concensus.

Seems we're all in relative agreement on all the nit issues 
and the main sticking point is what to do about single tunnel 
bring-up.   Here's my analysis of the situation:

- I think single tunnel bring up is an important extension 
that should be part of the standard. 

- I think it's highly desirable to come out with it in the 
initial spec.  But either way, we need to accomodate migration 
and interoperability issues with existing dual tunnel activation
ala RFC 1795.

- It appears as though the use of a different destination 
port number (2067)provides an adequate means for providing the 
migration path.

- I think there are two paths single tunnel can go: 
 Use TCP to resolve race conditions
 Add race condition state machines into DLSw

- Either way, I think we'll either encounter issues or spend
time developing state machines and we won't stay on schedule for
a November CP date.

So given this analysis of the situation, here's my suggestion:

I suggest we complete the spec stating dual tunnel bring-up ala
RFC 1795.  We follow-up with an optional enhancement for single
tunnel bring-up in the next iteration. Likely, we'll base the 
enhancement on the port 2067 thing, thus allowing smooth migration
and interoperability.  This way, will give ourselves some more
time to work out the appropriate single-tunnel solution.

All those who object,let me know asap... so I can complete writing 
and keep this thing moving. If you agree, please post agreement 
asap as well.  This way I'll know people have read it and agree.

Thanks, Dave